Subject: Re: linux-next: Tree for October 17 (build errors/warnings)

From: Trond Myklebust <[email-masked]>
Date: Fri, 17 Oct 2008 18:01:03 -0400

On Fri, 2008-10-17 at 13:56 -0700, Randy.Dunlap wrote:
> On Fri, 17 Oct 2008, Stephen Rothwell wrote:
> 
> > Today's tree will not build for powerpc allyesconfig (libc aborts the
> > link due to a free() problem), sparc(32) defconfig and probably some
> > other configurations.
> 
> Since I don't have time to fix all of these, I'll just list a summary of
> today's randconfig build errors:
> 
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> 
> build-r9562.out:ksysfs.c:(.text+0x21463): undefined reference to `create_proc_profile'
> with CONFIG_PROC_FS=n, CONFIG_SYSFS=n
> 
> build-r9567.out:linux-next-20081017/fs/nfsctl.c:45: error: implicit declaration of function 'current_cred'

This one doesn't have anything to do with my git tree. I'm assuming it
is related to the credentials patches from David Howells (cced).

-- 
Trond Myklebust
Linux NFS client maintainer

NetApp
[email-masked]
www.netapp.com